 <!-- begin statistiky.php -->
<?php

function nastavdelku($maxhodnota,$hodnota,$maxdelka)
{
return (($hodnota/$maxhodnota)*$maxdelka);
}

function nastavbarvu($maxhodnota,$hodnota,$jaka)
{
switch($jaka)
{case 1:
   if (($hodnota/$maxhodnota)<0.01) {return 1;}
   else if (($hodnota/$maxhodnota)<0.3) {return 2;}
   else if (($hodnota/$maxhodnota)<0.6) {return 3;}
   else if (($hodnota/$maxhodnota)<0.9) {return 4;}
   return 5;
   break;
 case 2:
   if (($hodnota/$maxhodnota)<0.01) {return "#0000FF";}
   else if (($hodnota/$maxhodnota)<0.3) {return "#00FF00";}
   else if (($hodnota/$maxhodnota)<0.6) {return "#FFFF00";}
   else if (($hodnota/$maxhodnota)<0.9) {return "#FF6C00";}
   return "#FF0000";
   break;
}
}



if  ($_GET['s']=="odbery") 
  {  $nejvetsi=mysql_query("SELECT data.id,devices.name,data.data,data.time,devices.id FROM devices,data WHERE devices.id=data.device ORDER BY data.data DESC LIMIT 15");
     $poceth=mysql_num_rows($nejvetsi);
     $hodnota=mysql_fetch_row($nejvetsi);      
      
     $maxvalue=$hodnota[2];
           
     $nadpis="Statistiky - největší odběry";
     $obsah='
     Nejvyšší odběr: '.$hodnota[1].' - <strong>'.$hodnota[2].' kWh</strong> ('.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).')<br/>
     <br/>
     <table>';
     
     for($i=0;$i<$poceth;$i++)
     {$obsah.='
     <tr>
       <td style="padding-right:15px;text-align:right;"><a href="detail.php?id='.$hodnota[4].'">'.$hodnota[1].'</a></td>
       <td style="padding-right:15px;"><img src="images/'.nastavbarvu($maxvalue,$hodnota[2],1).'.png" width="'.nastavdelku($maxvalue,$hodnota[2],300).'" height="20" style="border: 2px solid '.nastavbarvu($maxvalue,$hodnota[2],2).'"></td>
       <td style="padding-right:15px;"><strong>'.$hodnota[2].' kWh</strong></td>
       <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td>
     </tr>';
     $hodnota=mysql_fetch_row($nejvetsi);
     }
     
     $obsah.='
     </table>
     
     
     
     ';
       
  }
elseif  ($_GET['s']=="zarizeni_max") 
  {  $nejvetsi=mysql_query("SELECT data.id,devices.name,max(data.data),data.time,devices.id FROM devices,data WHERE devices.id=data.device GROUP BY devices.id ORDER BY max(data.data) DESC LIMIT 30");
     $poceth=mysql_num_rows($nejvetsi);
     $hodnota=mysql_fetch_row($nejvetsi);      
      
     $maxvalue=$hodnota[2];
           
     $nadpis="Statistiky - Zařízení s nejvyššími odběry";
     $obsah='
     Nejvyšší odběr: '.$hodnota[1].' - <strong>'.$hodnota[2].' kWh</strong> ('.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).')<br/>
     <br/>
     <table>';
     
     for($i=0;$i<$poceth;$i++)
     {$obsah.='
     <tr>
       <td style="padding-right:15px;text-align:right;"><a href="detail.php?id='.$hodnota[4].'">'.$hodnota[1].'</a></td>
       <td style="padding-right:15px;"><img src="images/'.nastavbarvu($maxvalue,$hodnota[2],1).'.png" width="'.nastavdelku($maxvalue,$hodnota[2],300).'" height="20" style="border: 2px solid '.nastavbarvu($maxvalue,$hodnota[2],2).'"></td>
       <td style="padding-right:15px;"><strong>'.$hodnota[2].' kWh</strong></td>
       <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td>
     </tr>';
     $hodnota=mysql_fetch_row($nejvetsi);
     }
     
     $obsah.='
     </table>
      ';
   
  }
elseif  ($_GET['s']=="zarizeni_prum") 
  {  $nejvetsi=mysql_query("SELECT data.id,devices.name,avg(data.data),data.time,devices.id FROM devices,data WHERE devices.id=data.device GROUP BY devices.id ORDER BY avg(data.data) DESC");
     $poceth=mysql_num_rows($nejvetsi);
     $hodnota=mysql_fetch_row($nejvetsi);      
      
     $maxvalue=$hodnota[2];
           
     $nadpis="Statistiky - Průměrné odběry";
     $obsah='
     Nejvyšší odběr: '.$hodnota[1].' - <strong>'.round($hodnota[2],3).' kWh</strong> ('.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).')<br/>
     <br/>
     <table>';
     
     for($i=0;$i<$poceth;$i++)
     {$obsah.='
     <tr>
       <td style="padding-right:15px;text-align:right;"><a href="detail.php?id='.$hodnota[4].'">'.$hodnota[1].'</a></td>
       <td style="padding-right:15px;"><img src="images/'.nastavbarvu($maxvalue,$hodnota[2],1).'.png" width="'.nastavdelku($maxvalue,$hodnota[2],300).'" height="20" style="border: 2px solid '.nastavbarvu($maxvalue,$hodnota[2],2).'"></td>
       <td style="padding-right:15px;"><strong>'.round($hodnota[2],3).' kWh</strong></td>
       <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td>
     </tr>';
     $hodnota=mysql_fetch_row($nejvetsi);
     }
     
     $obsah.='
     </table>
      ';
   
  }
elseif  ($_GET['s']=="mistnosti_max") 
  {  $nejvetsi=mysql_query("SELECT data.id,devices.room,max(data.data),data.time FROM devices,data WHERE devices.id=data.device GROUP BY devices.room ORDER BY max(data.data) DESC LIMIT 30");
     $poceth=mysql_num_rows($nejvetsi);
     $hodnota=mysql_fetch_row($nejvetsi);      
      
     $maxvalue=$hodnota[2];
     
     if (strlen($hodnota[1])<1) {$hodnota[1]="neuvedeno";} 
           
     $nadpis="Statistiky - Místnosti s nejvyšší spotřebou";
     $obsah='
     Nejvyšší spotřeba: místnost '.$hodnota[1].' - <strong>'.$hodnota[2].' kWh</strong> ('.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).')<br/>
     <br/>
     <table>';
     
     for($i=0;$i<$poceth;$i++)
     {$obsah.='
     <tr>
       <td style="padding-right:15px;text-align:right;"><a href="prehled.php?p=mistnost&m='.$hodnota[1].'">'.$hodnota[1].'</a></td>
       <td style="padding-right:15px;"><img src="images/'.nastavbarvu($maxvalue,$hodnota[2],1).'.png" width="'.nastavdelku($maxvalue,$hodnota[2],300).'" height="20" style="border: 2px solid '.nastavbarvu($maxvalue,$hodnota[2],2).'"></td>
       <td style="padding-right:15px;"><strong>'.$hodnota[2].' kWh</strong></td>
       <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td>
     </tr>';
     $hodnota=mysql_fetch_row($nejvetsi);
     if (strlen($hodnota[1])<1) {$hodnota[1]="neuvedeno";} 
     }
     
     $obsah.='
     </table>
      ';
   
  }
elseif  ($_GET['s']=="mistnosti_prum") 
  {  $nejvetsi=mysql_query("SELECT data.id,devices.room,avg(data.data),data.time FROM devices,data WHERE devices.id=data.device GROUP BY devices.room ORDER BY avg(data.data) DESC");
     $poceth=mysql_num_rows($nejvetsi);
     $hodnota=mysql_fetch_row($nejvetsi);      
      
     $maxvalue=$hodnota[2];
      
     if (strlen($hodnota[1])<1) {$hodnota[1]="neuvedeno";} 
           
     $nadpis="Statistiky - Průměrné spotřeby místností";
     $obsah='
     Nejvyšší spotřeba: místnost '.$hodnota[1].' - <strong>'.round($hodnota[2],3).' kWh</strong> ('.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).')<br/>
     <br/>
     <table>';
     
     for($i=0;$i<$poceth;$i++)
     {$obsah.='                       
     <tr>
       <td style="padding-right:15px;text-align:right;"><a href="prehled.php?p=mistnost&m='.$hodnota[1].'">'.$hodnota[1].'</a></td>
       <td style="padding-right:15px;"><img src="images/'.nastavbarvu($maxvalue,$hodnota[2],1).'.png" width="'.nastavdelku($maxvalue,$hodnota[2],300).'" height="20" style="border: 2px solid '.nastavbarvu($maxvalue,$hodnota[2],2).'"></td>
       <td style="padding-right:15px;"><strong>'.round($hodnota[2],3).' kWh</strong></td>
       <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td>
     </tr>';
     $hodnota=mysql_fetch_row($nejvetsi);
     if (strlen($hodnota[1])<1) {$hodnota[1]="neuvedeno";} 
     }
     
     $obsah.='
     </table>
      ';
   
  }
elseif  ($_GET['s']=="ceny") 
  {
     $nadpis="Statistiky - ceny provozu";
     $obsah='';
       
  }
else 
  {  header("Location: prehled.php?p=aktual");
     $nadpis="Přehled";
     $obsah='
     <h3>Poslední aktualizace: 17.10.2011 22:39</h3>
     <img src="images/default.jpg" alt="" />     ';
  };
?>

            
            
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <div id="refresh">
                  <?php echo $obsah; ?>     
                </div>
              </div>			
            </div>
            
            
 <!-- end statistiky.php -->